function y = CUSTOM_ODE(f,h,T,z,u,p)
% CUSTOM_ODE (sample custom ode solver for emgr)
% by Christian Himpe, 2014 ( http://gramian.de )
% released under BSD 2-Clause License ( opensource.org/licenses/BSD-2-Clause )
%*

H = 1./h;

 if(exist('OCTAVE_VERSION'))
  y = lsode(@(y,t) f(y,u(1.0+min(round(t*H),T-1)),p),z,linspace(0,h*T,T))';
 else,
  y = deval(ode23(@(t,y) f(y,u(1.0+min(round(t*H),T-1)),p),[0 h*T],z),linspace(0,h*T,T));
 end;
